Subject: Re: [rtcweb] rtcweb Digest, Vol 38, Issue 51

From: Steev James <[email-masked]>
Date: Mon, 28 Apr 2014 10:10:08 +0530

Paul,
What do you say, if another end point is using both G.711 and Opus at 8kHz
and why ?

Steev.

>> Is that means spec is recommending G.711 (PCMA/PCMU) for sampling rate
> >> less than or equal to 8 kHz?
> >
> >No. Opus is still a good idea for 8 kHz, but it's not 2119 RECOMMENDED
> >since there are valid (mostly complexity-related) reasons to use G.711
> >despite the higher bit-rate.
> >
> >       Jean-Marc
>
> Opus isn't a good idea for 8 KHz if you are trying to inter-operate with
> another end-point using G.711.
>
> ...Paul
>
>
>

---

From: Jean-Marc Valin <[email-masked]>
Date: Mon, 28 Apr 2014 01:53:44 -0400

So, if the other endpoint only supports G.711 (legacy), then it
doesn't matter which codec you offer first. The the other endpoint
supports both Opus and G.711, but only at 8 kHz, then it comes down to
which of complexity or bandwidth is more important. On a corporate LAN
you'd likely want to use G.711 while for chatting from your home,
you'd usually want Opus. This is why the draft makes has no SHOULD
when it comes to narrowband.

	Jean-Marc

On 28/04/14 12:40 AM, Steev James wrote:
> Paul, What do you say, if another end point is using both G.711 and
> Opus at 8kHz and why ?
> 
> Steev.
> 
> 
> 
>>> Is that means spec is recommending G.711 (PCMA/PCMU) for
>>> sampling
> rate
>> No. Opus is still a good idea for 8 kHz, but it's not 2119
>> RECOMMENDED since there are valid (mostly complexity-related)
>> reasons to use G.711 despite the higher bit-rate.
>> 
>> Jean-Marc
> 
> Opus isn't a good idea for 8 KHz if you are trying to inter-operate
> with another end-point using G.711.
> 
> ...Paul
> 
> 
>